ข้ามไปยังเนื้อหา

Elevenlabs - Forced Alignment

ผสานการทำงาน

ID โมเดล elevenlabs/forced-alignment
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/forced-alignment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ไฟล์เช่นเดียวกับตัวอย่าง: $0.22 220 เครดิต API ไฟล์ของคุณจะถูกวัดก่อนเรียกใช้ เรียกใช้ในหน้านี้

รับคีย์ API
ElevenLabs เสียงพูดเป็นข้อความ #forced-alignment#speech-to-text

จัดแนวบทถอดเสียงที่ทราบอยู่แล้วกับไฟล์บันทึกเสียง และส่งคืนเวลาของคำและอักขระ

ElevenLabs · ข้อมูล (JSON)

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 88 / 675000

บทถอดเสียงที่ต้องจัดแนวข้อความให้ตรงกับเสียง

•จำเป็น audio_url
วางไฟล์ หรือ

ระบุเสียงสำหรับการจัดแนวผ่าน URL ของไฟล์ โดยมีข้อจำกัดความยาวไม่เกิน 10 ชั่วโมงและขนาดไม่เกิน 3 GB

POST /run/elevenlabs/forced-alignment?wait=20 ใบเสนอราคา → $0.22
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/forced-alignment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Elevenlabs - Forced Alignment

จับคู่บทถอดเสียงที่มีอยู่กับไฟล์บันทึก ระบุ `audio_url` และ `text` โดยข้อความมีความยาวได้สูงสุด 675,000 อักขระ ไฟล์เสียงมีขนาดได้สูงสุด 3 GB และยาว 10 ชั่วโมง ผลลัพธ์แสดงการจัดแนวระดับอักขระและระดับคำ พร้อมค่าความสูญเสียเฉลี่ยของการจัดแนว

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
audio_urlจำเป็น audio
ประเภทurl · audio
ระบุเสียงสำหรับการจัดแนวผ่าน URL ของไฟล์ โดยมีข้อจำกัดความยาวไม่เกิน 10 ชั่วโมงและขนาดไม่เกิน 3 GB
textจำเป็น
ประเภทstring
≤ 675,000 อักขระ
บทถอดเสียงที่ต้องจัดแนวข้อความให้ตรงกับเสียง
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "elevenlabs/forced-alignment",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 220,
    "usd": "0.22",
    "charged": 220,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "characters": [
      {
        "text": "string",
        "start": 1.0,
        "end": 1.0
      }
    ],
    "words": [
      {
        "text": "string",
        "start": 1.0,
        "end": 1.0,
        "loss": 1.0
      }
    ],
    "loss": 1.0
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
characters
array of object {text, start, end}ข้อมูลการจัดแนวสำหรับอักขระแต่ละตัว
words
array of object {text, start, end, loss}ข้อมูลการจัดแนวสำหรับแต่ละคำ
loss
numberค่าความสูญเสียเฉลี่ยของการจัดแนวตลอดบทถอดเสียง

โมเดลเพิ่มเติม: เสียงพูดเป็นข้อความ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/elevenlabs/forced-alignment.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt